Summary: A kernel-based automounter for Linux.
Name: hhl-target-autofs
Version: 3.1.7
Release: %{_hhl_build_id}.2
Source: ftp://ftp.kernel.org:/pub/linux/daemons/autofs/autofs-3.1.7.tar.gz
Source1 : autofs.tmpl
# All from debian
Patch: autofs_3.1.7-3.diff.gz
Patch20: autofs-aclocal.diff
Patch21: autofs-initd.diff
License: GPL
Group: utils
Buildroot: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix: %{_hhl_cross_target_dir}
%define _docdir         %{_hhl_cross_target_dir}%{_hhl_target_doc_dir}

%description
The kernel automounter implements an almost complete SunOS style
automounter under Linux. Automounter support must be activated while 
compiling the kernel.

# binary package
%package -n hhl-%{_hhl_target_arch}-autofs
Summary: A kernel-based automounter for Linux.
Group: utils
AutoReqProv: no
%description -n hhl-%{_hhl_target_arch}-autofs
The kernel automounter implements an almost complete SunOS style
automounter under Linux. Automounter support must be activated while 
compiling the kernel.

%prep
%target_check
%setup -q -n autofs-%{version}
%patch0 -p1

# Apply debian patches
patch -p1 < debian/patches/000_typo-in-README.smbfs
patch -p1 < debian/patches/001_ext2_ro_fsck
patch -p1 < debian/patches/002_mkdir_on_readonly_fs
patch -p1 < debian/patches/003_race_when_expiring
patch -p1 < debian/patches/004_only_remove_dir_if_made
patch -p1 < debian/patches/005_document_+map_in_auto_master
patch -p1 < debian/patches/006_auto_master_s_b_fhs
patch -p1 < debian/patches/007_improved_removable_device_options_in_auto_misc
patch -p1 < debian/patches/008_auto_master_format_is_in_man_5
patch -p1 < debian/patches/009_improved_init_script
patch -p1 < debian/patches/010_remove_OPEN_MAX
patch -p1 < debian/patches/011_syslog_MODPREFIX_calling_error.diff
patch -p1 < debian/patches/012_syslog_incorrect_format.diff
patch -p1 < debian/patches/013_install_mandirs_before_install_manfiles.diff
patch -p1 < debian/patches/014_set-e_when_making_subdirs.diff

%patch20 -p1
%patch21 -p1

%build
%target_setup
# Stupid crack monkey can't figure out how to write a correct configure 
# script to save his life so I have to hack it...
ac_cv_path_MOUNT=/bin/mount
export ac_cv_path_MOUNT
ac_cv_path_UMOUNT=/bin/umount
export ac_cv_path_UMOUNT
ac_cv_path_E2FSCK=/sbin/fsck.ext2
export ac_cv_path_E2FSCK
./configure --prefix=%{_hhl_target_prefix} --mandir=%{_hhl_target_man_dir}
%make LDFLAGS="-rdynamic" CC=$CC CXX=$CXX LD=$LD STRIP=true
%make -C samples rc.autofs

%install
rm -rf %{buildroot}
%target_setup
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/etc
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/etc/init.d
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8

install -m 644 samples/auto.master %{buildroot}%{_hhl_cross_target_dir}/etc/auto.master
install -m 644 samples/auto.misc %{buildroot}%{_hhl_cross_target_dir}/etc/auto.misc
install -m 755 samples/rc.autofs %{buildroot}%{_hhl_cross_target_dir}/etc/init.d/autofs
%make install INSTALLROOT=%{buildroot}%{_hhl_cross_target_dir}

gzip -v9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man*/*

cp COPYING LICENSE

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE1} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/autofs

%clean
rm -rf %{buildroot}

%files -n hhl-%{_hhl_target_arch}-autofs
%defattr(-,root,root)
%config %{_hhl_cross_target_dir}/etc/init.d/autofs
%config %{_hhl_cross_target_dir}/etc/auto.master
%config %{_hhl_cross_target_dir}/etc/auto.misc
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/automount
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man*/*
%dir %{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/autofs
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/autofs/*
%doc README LICENSE COPYRIGHT TODO README.changer README.smbfs README.options NEWS
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/autofs

%changelog
* Wed Apr 18 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Fri Feb 23 2001 Mark Hatle <source@mvista.com>
- First cut
